Results 1 to 4 of 4

Thread: Recovering after hardware failure, determine correct version?

  1. #1
    Maja is offline Active Member
    Join Date
    Mar 2006
    Location
    Kansas City
    Posts
    36
    Rep Power
    9

    Default Recovering after hardware failure, determine correct version?

    This may seem like a rather silly question, but I had a major hardware failure last night, losing two drives from a RAID 5 server, thus losing all data on those drives (I've tried every possible way to recover..). Anyway, I do have a recent backup of my mail server that I can recover, but I need to pin down the exact version that I had installed. I administer another installation, NE version, at my work as well, thus I can't be 100% sure which version I have at home versus our corporate version.

    Thus my question is, is there a config file that contains the exact release that is installed? I havent even begun to worry about whether my backup is going to work, yet, still getting to the point of giving it a go.

    Any assistance would be greatly appreciated.

  2. #2
    y@w's Avatar
    y@w
    y@w is offline Moderator
    Join Date
    Jan 2008
    Posts
    658
    Rep Power
    8

    Default

    Well.. this may not be bullet proof, but I did a grep for the version number that my personal box is on and found the version number in the following file:

    /opt/zimbra/data/ldap/config/cn\=config/cn\=schema/cn\=\{3\}zimbra.ldif

  3. #3
    Rich Graves is offline Outstanding Member
    Join Date
    Jan 2007
    Location
    Minnesota
    Posts
    719
    Rep Power
    9

    Default

    cn=config is only available in 6.x.

    What platform? Your package manager logs might tell you.

    On RedHat, for example, grep zimbra /var/log/rpmpkgs

    You could also figure it out based on either the contents of /opt/zimbra/libexec/scripts/ or the latest version numbers on clamav, postfix, openldap, etc.

  4. #4
    Rich Graves is offline Outstanding Member
    Join Date
    Jan 2007
    Location
    Minnesota
    Posts
    719
    Rep Power
    9

    Default

    Oh, here's a file to look at:

    /opt/zimbra/jetty/webapps/zimbra/js/Startup1_2_all.js: this.registerSetting("CLIENT_VERSION", {type:ZmSetting.T_CONFIG, defaultValue:"5.0.19_GA_3083.RHEL4_64"});

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Replies: 4
    Last Post: 08-04-2008, 06:17 PM
  2. Replies: 0
    Last Post: 08-30-2007, 10:06 AM
  3. Is it started or not
    By kwelipatton in forum Installation
    Replies: 10
    Last Post: 03-28-2006, 11:11 PM
  4. Yet another get.DirectContext issue
    By dccpark in forum Installation
    Replies: 5
    Last Post: 03-08-2006, 01:25 PM
  5. system failure: getDirectContext
    By avisser in forum Installation
    Replies: 3
    Last Post: 10-12-2005, 05:32 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •